<?php
include_once('includes/widgets/widgets.php');
include_once('includes/shortcodes/shortcodes.php');
include_once('includes/metabox/metabox.php');
include_once('seo/wp-seo.php'); // SEO nha, khỏi cài seo by yoast
require_once ('includes/functions/core.php'); // Function lõi
require_once ('includes/functions/protected.php'); // Không ddos được anh đâu sói ạ
require_once ('includes/functions/booster.php'); // Tối ưu hóa wordress
require_once ('includes/functions/rate.php'); // Hệ thống Rating
require_once ('includes/functions/user.php'); // User

add_action( 'wp_head', 'head_meta', 1 );
add_action( 'wp_head', 'head_author', 2 );

 
function head_meta() {

	echo '<meta property="og:locale" content="vi_VN" />';
	
	if( is_singular() ) {
		echo '<meta property="og:type" content="article" /><script src="http://nguontaigame.net/wp-content/themes/bbit/assets/js/swipe.min.js"></script>';

		$tags = get_the_tags(); if($tags) { 
			foreach ( $tags as $tag ) {
				echo '<meta property="article:tag" content="'.$tag->name.'" />';
			}
		}

		echo '<meta property="article:published_time" content="'.get_the_date('c').'" />';
		if ( get_the_modified_date('c') != get_the_date('c') ) {
			echo '<meta property="article:modified_time" content="'.get_the_modified_date('c').'" />';
		}
		
		$terms = get_the_category(); foreach ( $terms as $term ) {
			echo '<meta property="article:section" content="'.$term->name.'" />';
		}
	}

	else {
		echo '<meta property="og:type" content="website" />';
	}
	
	echo '<meta property="og:site_name" content="' . get_bloginfo('name') . '" />';
}

function head_author() {
	if (is_home()||is_front_page()) {
		echo '<link rel="author" href="https://plus.google.com/110370430708537859843" /></script>';
	} 
	elseif (is_singular()) {
		global $post;
		echo '<link rel="author" href="'.get_the_author_meta( 'googleplus', $post->post_author ).'" />';
	}
	echo '<link rel="publisher" href="https://plus.google.com/110370430708537859843" />';
}
function remove_unused_image_size( $sizes) {
 
   unset( $sizes['thumbnail']);
   unset( $sizes['medium']);
   unset( $sizes['large']);
   unset( $sizes['post-thumbnail']);
   unset( $sizes['twentyfourteen-full-width']
);
   return $sizes;
}
add_filter('intermediate_image_sizes_advanced', 'remove_unused_image_size');
   
//remove_action( 'wp_head', 'wp_generator' );
remove_action( 'wp_head', 'rsd_link' );
remove_action( 'wp_head', 'wlwmanifest_link' );
remove_action( 'wp_head', 'wp_shortlink_wp_head' );
remove_action( 'template_redirect', 'wp_shortlink_header' );
remove_action( 'wp_head', 'feed_links', 2 );
remove_action( 'wp_head', 'feed_links_extra', 3 );
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'wp_print_styles', 'print_emoji_styles' );